%define anolis_release 1

Name:               libfido2
Version:            1.14.0
Release:            %{anolis_release}%{?dist}
Summary:            FIDO2 library
License:            BSD
URL:                https://github.com/Yubico/%{name}
Source0:            https://developers.yubico.com/%{name}/Releases/%{name}-%{version}.tar.gz

#Modified from https://github.com/Yubico/libfido2/commit/48087f5debafb465226a7ed7719a3ebdeaeba9d0
Patch01:	01-fix-credman-leak.patch

BuildRequires:      gnupg2 gcc gcc-c++ make  cmake autoconf
BuildRequires:      pkgconfig(hidapi-hidraw) pkgconfig(libcbor) pkgconfig(libudev)
BuildRequires:      pkgconfig(openssl) pkgconfig(zlib)

%description
libfido2 provides library functionality and command-line tools to communicate 
with a FIDO device over USB or NFC, and to verify attestation and assertion signatures.
libfido2 supports the FIDO U2F (CTAP 1) and FIDO2 (CTAP 2) protocols.


%package devel
Summary:            Development files for %{name}
Requires:           %{name} = %{version}-%{release}

%description devel
libfido2-devel contains development libraries and header files for libfido2.

%package -n fido2-tools
Summary:            FIDO2 tools
Requires:           %{name} = %{version}-%{release}

%description -n fido2-tools
FIDO2 command line tools to access and configure a FIDO2 compliant authentication device.

%package doc
Summary:            Documentation files for %{name}
Requires:           %{name} = %{version}-%{release}
BuildArch:          noarch

%description    doc
The libfido2-doc package contains documentation files for libfido2.


%prep
%autosetup -n %{name}-%{version}  -p1

%build
%cmake -DBUILD_STATIC_LIBS=OFF
%cmake_build

%install
%cmake_install
%generate_compatibility_deps

%files
%dir %{abidir}
%license LICENSE
%{_libdir}/libfido2.so.1{,.*}
%{abidir}/libfido2*.dump

%files devel
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/libfido2.so
%{_mandir}/man3/*

%files -n fido2-tools
%{_bindir}/fido2*
%{_mandir}/man1/*

%files doc
%doc README.adoc NEWS 


%changelog
* Wed Feb 26 2025 Xiaoping Liu <lxp01404969@alibaba-inc.com> - 1.14.0-1
- update to 1.14.0 from 1.13.0
- Fix memory leak in credman
  [Patches cherry-picked from c10s. Original changelog:
  - Fix memory leak in credman. （1.14.0-6）]

* Fri Apr 14 2023 chen_yu_ao <m15927509890@163.com> - 1.13.0-2
- change spec file format and generate abi files

* Tue Mar 7 2023 Funda Wang <fundawang@yeah.net> - 1.13.0-1
- New version 1.13.0

* Fri Feb 17 2023 Funda Wang <fundawang@yeah.net> - 1.12.0-1
- New version 1.12.0

* Wed Sep 21 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.11.0-1
- update to 1.11.0

* Wed Mar 23 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.10.0-1
- init from upstream 1.10.0
